CVE-2013-0151

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The do_hvm_op function in xen/arch/x86/hvm/hvm.c in Xen 4.2.x on the x86_32 platform does not prevent HVM_PARAM_NESTEDHVM (aka nested virtualization) operations, which allows guest OS users to cause a denial of service (long-duration page mappings and host OS crash) by leveraging administrative access to an HVM guest in a domain with a large number of VCPUs.

References

http://openwall.com/lists/oss-security/2013/01/22/10

http://secunia.com/advisories/55082

http://security.gentoo.org/glsa/glsa-201309-24.xml

http://xenbits.xen.org/gitweb/?p=xen.git;a=commit;h=d60d7082289a74e44b3dc8f67df46c3404ca08bf

Details

Source: MITRE

Published: 2013-03-07

Updated: 2013-10-11

Type: CWE-264

Risk Information

CVSS v2

Base Score: 4.6

Vector: AV:A/AC:H/Au:N/C:N/I:N/A:C

Impact Score: 6.9

Exploitability Score: 3.2

Severity: MEDIUM

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
75130openSUSE Security Update : xen (openSUSE-SU-2013:1404-1)NessusSuSE Local Security Checks
high
70184GLSA-201309-24 : Xen: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
64418Fedora 18 : xen-4.2.1-5.fc18 (2013-1434)NessusFedora Local Security Checks
medium